/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef INCLUDE_ROOTREADER_H_
#define INCLUDE_ROOTREADER_H_

#include <vector>
#include <iostream>

#include "TFile.h"
#include "TDirectoryFile.h"
#include "TList.h"
#include "TH1F.h"
#include "TH1.h"
#include "TAxis.h"
#include "TApplication.h"
#include "TTree.h"
#include "TIterator.h"
#include "ROOTPanelEntry.h"
#include "TError.h"

class ROOTReader {
 public:
  ROOTReader();
  ~ROOTReader();
  ROOTReader(int argc, const char* files[]);
  void ReadFiles();
  void ReadFile(ROOTPanelEntry* rpe, TDirectory* dir);
  // void ReadFile(ROOTPanelEntry* rpe, TObject* obj);

  ROOTPanelEntry* GetRPE();
 private:
  ROOTPanelEntry* m_RPE;
  int m_iNFiles;
  std::vector<TFile*> m_vFiles;
};

#endif  // INCLUDE_ROOTREADER_H_
